Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSDialingRulesConfiguration Class Reference

The dialing rules configuration to be applied to transform a user supplied number into a dialable number. More...

`#import <CSDialingRulesConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| Indicates whether the dialing rules are enabled. More...
NSString * | outsideLineAccessCode
| The string of digits to prepend to the dialed number to make an external call from an enterprise network. More...
NSString * | countryCode
| The country code for the user's region. More...
NSString * | areaCode
| The area code for the user's region. More...
BOOL | removeAreaCodeForLocalCalls
| Indicates whether or not the area code should be removed when dialing local numbers. More...
NSString * | pbxPrefix
| The prefix used for internal extensions. More...
NSString * | longDistanceAccessCode
| The long distance access code for the user's region. More...
NSString * | internationalAccessCode
| The access code for outgoing international calls. More...
NSArray * | nationalNumberLengths
| The lengths of national numbers valid for the user's country. More...
NSArray * | extensionLengths
| The lengths of all internal extensions in the enterprise network. More...
BOOL | applyOutsideLineAccessCodeToShortNumbers
| Indicates whether to disable the dialing rules logic that automatically prefixes the outside line access code to numbers that are shorter than the shortest extension length. More...
BOOL | allowE164Passthrough
| Indicates whether to allow sending of E.164 numbers (i.e any numbers with a leading '+') directly to the network server without application of any dialing rules transformations. More...
BOOL | enablePoundKeyAsCallTrigger
| Indicates whether pressing pound sign during off-hook dialing should trigger the call start. More...

## Detailed Description

The dialing rules configuration to be applied to transform a user supplied number into a dialable number.

## Property Documentation

- (BOOL) allowE164Passthrough
| read write nonatomic assign

Indicates whether to allow sending of E.164 numbers (i.e any numbers with a leading '+') directly to the network server without application of any dialing rules transformations.

- (BOOL) applyOutsideLineAccessCodeToShortNumbers
| read write nonatomic assign

Indicates whether to disable the dialing rules logic that automatically prefixes the outside line access code to numbers that are shorter than the shortest extension length.

- (NSString*) areaCode
| read write nonatomic copy

The area code for the user's region.

For example, if local phone number is in the form of +1 303-538-1234, then the area code is "303".

- (NSString*) countryCode
| read write nonatomic copy

The country code for the user's region.

For example, if local phone number is in the form of +1 303-538-1234, then the country code is "1".

- (BOOL) enabled
| read write nonatomic assign

Indicates whether the dialing rules are enabled.

- (BOOL) enablePoundKeyAsCallTrigger
| read write nonatomic assign

Indicates whether pressing pound sign during off-hook dialing should trigger the call start.

- (NSArray*) extensionLengths
| read write nonatomic copy

The lengths of all internal extensions in the enterprise network.

- (NSString*) internationalAccessCode
| read write nonatomic copy

The access code for outgoing international calls.

For example, in the United States, this access code would be "011".

- (NSString*) longDistanceAccessCode
| read write nonatomic copy

The long distance access code for the user's region.

For example, in the United States, the access code would be "1".

- (NSArray*) nationalNumberLengths
| read write nonatomic copy

The lengths of national numbers valid for the user's country.

These lengths represent numbers without the country code. For example, some European countries like Italy have variable national number lengths between 8 to 12.

- (NSString*) outsideLineAccessCode
| read write nonatomic copy

The string of digits to prepend to the dialed number to make an external call from an enterprise network.

To disambiguate between internal and external numbers most PBX systems require an access code like "9" to obtain an outside line.

- (NSString*) pbxPrefix
| read write nonatomic copy

The prefix used for internal extensions.

For example, if the area code is set to "303", the prefix is set to "538", and the extension length is 5 then the number "+1 303-538-12345" will be dialed as "12345". The combination of area code and prefix allows the dialing rules to recognize an internal number from local, national or international numbering format.

- (BOOL) removeAreaCodeForLocalCalls
| read write nonatomic assign

Indicates whether or not the area code should be removed when dialing local numbers.

For example, if the area code is set to "303", the outside line access code is set to "9", and this option is enabled, then applying dialing rules to "303-538-1234" will result in "95381234".

The documentation for this class was generated from the following file:

- CSDialingRulesConfiguration.h